// Top-level build file where you can add configuration options common to all sub-projects/modules.
plugins {
    // Application
    alias(libs.plugins.android.application) apply false

    // Android
    alias(libs.plugins.kotlin.android) apply false

    // Compose
    alias(libs.plugins.kotlin.compose) apply false

    // Ksp
    alias(libs.plugins.ksp) apply false

    // Agp
    alias(libs.plugins.android.library) apply false

    // Hilt
    alias(libs.plugins.hilt) apply false

    // Kotlin serialization
    alias(libs.plugins.serialization) apply false
}

buildscript {
    repositories {
        maven { url = uri("https://maven.openium.fr/") }
    }
    dependencies {
        classpath(libs.openium.publish)
    }
}