package fr.openium.consentium_ui.data.remote.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
internal data class PurposeDTO(
    @SerialName("sortOrder") val order: Int,
    @SerialName("isRequired") val isRequired: Boolean,
    @SerialName("choice") val choice: PurposeStatusDTO,
    @SerialName("translations") val translations: List<PurposeTranslationDTO>,
    @SerialName("identifier") val id: String,

)
