package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.GetConsentConfigDTO
import fr.openium.consentium_ui.domain.model.ContentConfigData

internal fun GetConsentConfigDTO.toConsentConfigData() =
    ContentConfigData(
        applicationName = appName,
        iconUrl = icon,
        mainTextTranslation = consentMainTextTranslation.toMainConsentTextTranslationDataList(),
        purposes = purposes.toPurposeDataList()
    )