package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.MainConsentTextTranslationDTO
import fr.openium.consentium_ui.domain.model.MainConsentTextTranslationData

internal fun MainConsentTextTranslationDTO.toMainConsentTextTranslationData() =
    MainConsentTextTranslationData(
        id = id,
        language = language,
        consentPageUrl = consentPageUrl,
        mainConsentText = mainConsentText,
        durationText = durationText,
    )

internal fun List<MainConsentTextTranslationDTO>.toMainConsentTextTranslationDataList() = map { it.toMainConsentTextTranslationData() }