package fr.openium.consentium_ui.domain.usecase

import android.content.Context
import javax.inject.Inject

internal interface GetApplicationLanguageUseCase {
    suspend operator fun invoke(context: Context): String
}

internal class GetApplicationLanguageUseCaseImpl @Inject constructor() : GetApplicationLanguageUseCase {
    override suspend fun invoke(context: Context): String {
        return context.resources.configuration.locales[0].language
    }
}