package fr.openium.consentium_ui.ui.adapter

import fr.openium.consentium_ui.domain.model.PurposeStatusData
import fr.openium.consentium_ui.ui.model.PurposeStatusUI

internal fun PurposeStatusData.toPurposeStatusUI(): PurposeStatusUI = when(this) {
    PurposeStatusData.ACCEPTED -> PurposeStatusUI.ACCEPTED
    PurposeStatusData.REJECTED -> PurposeStatusUI.REJECTED
    PurposeStatusData.PARTIAL -> PurposeStatusUI.PARTIAL
}