package fr.openium.consentium.api.state

import fr.openium.consentium.api.model.Purpose

sealed interface FetchConsentiumState {

    data object Idle : FetchConsentiumState

    data object Loading : FetchConsentiumState

    data object Invalid : FetchConsentiumState

    data class Valid(val purposes: List<Purpose>) : FetchConsentiumState

    data object Error : FetchConsentiumState

}