import fr.openium.consentium_ui.ui.model.ConsentiumPageUI
import kotlinx.serialization.Serializable


sealed interface Destination {

    @Serializable
    data object Splash : Destination

    @Serializable
    data object Main : Destination

    @Serializable
    data class Consent(
        val landingPage: ConsentiumPageUI
    ): Destination

}
