package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.PurposeTranslationDTO
import fr.openium.consentium_ui.domain.model.PurposeTranslationData

internal fun PurposeTranslationDTO.toPurposeTranslationData() =
    PurposeTranslationData(
        id = id,
        language = language,
        text = text,
        name = name,
    )

internal fun List<PurposeTranslationDTO>.toPurposeTranslationDataList() = map { it.toPurposeTranslationData() }