package fr.openium.consentium.api.adapter

import fr.openium.consentium.api.model.ConsentState
import fr.openium.consentium.data.remote.model.GetConsent

internal fun GetConsent.ConsentStateDTO.toConsentState(): ConsentState = when (this) {
    GetConsent.ConsentStateDTO.UNSET -> ConsentState.UNSET
    GetConsent.ConsentStateDTO.VALID -> ConsentState.VALID
    GetConsent.ConsentStateDTO.EXPIRED -> ConsentState.EXPIRED
    GetConsent.ConsentStateDTO.NEW_VERSION -> ConsentState.NEW_VERSION
}